Etrange migration etch -> lenny

Bonjour a tous,
J’ai voulu migrer mon pc sous Etch vers Lenny,j’ai donc suivi un des nombreux tutaux,en l’occurrence celui la:
pintaric.net/index.php?post/ … vers-Lenny
J’ai bien vérifier mon sources.list

Tout c’est bien passé,sauf que maintenant lorsque je fait un uname -r,j’obtiens ca:
2.6.24-etchnhalf.1-686

:open_mouth:
J’ai donc cherche des tutaux pour migrer de etch and half vers lenny,sauf que pour aptitude tout est a jour.Je ne peux donc pas passé a 2.6.26-2-686 comme sur mon autre pc!
Une idée?
merci d’avance

Bonjour,

Que donne les commandes suivantes :

[code]# apt-cache policy

apt-cache policy linux-image-2.6-686

apt-cache policy linux-image-2.6-686-etchnhalf[/code]

alors apt-cache policy:

Fichiers du paquet : 100 /var/lib/dpkg/status release a=now 500 http://volatile.debian.org lenny/volatile/contrib Packages release o=volatile.debian.org,a=stable,l=debian-volatile,c=contrib origin volatile.debian.org 500 http://volatile.debian.org lenny/volatile/main Packages release o=volatile.debian.org,a=stable,l=debian-volatile,c=main origin volatile.debian.org 500 http://security.debian.org lenny/updates/contrib Packages release v=5.0,o=Debian,a=stable,l=Debian-Security,c=contrib origin security.debian.org 500 http://security.debian.org lenny/updates/main Packages release v=5.0,o=Debian,a=stable,l=Debian-Security,c=main origin security.debian.org 500 http://ftp.fr.debian.org lenny/non-free Packages release v=5.0.2,o=Debian,a=stable,l=Debian,c=non-free origin ftp.fr.debian.org 500 http://ftp.fr.debian.org lenny/main Translation-fr 500 http://ftp.fr.debian.org lenny/main Packages release v=5.0.2,o=Debian,a=stable,l=Debian,c=main origin ftp.fr.debian.org Paquets étiquetés :

ensuite apt-cache policy linux-image-2.6-686

linux-image-2.6-686: Installé : 2.6.26+17+lenny1 Candidat : 2.6.26+17+lenny1 Table de version : *** 2.6.26+17+lenny1 0 500 http://ftp.fr.debian.org lenny/main Packages 100 /var/lib/dpkg/status

ensuite apt-cache policy linux-image-2.6-686-etchnhalf
W: Impossible de trouver le paquet linux-image-2.6-686-etchnhalf

Je ne connaissais pas ces fonctions,mais de ce que je peux comprendre,c est bien lenny qui est installé et non etchnhalf…
Juste le uname -r qui merde?

Apt est effectivement correctement configuré pour lenny. Et le noyau 2.6.26 est installé, mais ce n’est peut-être pas le seul noyau installé.
Que donne

As-tu redémarré ta machine après la migration ?

Pourquoi n’avoir pas plutôt suivi les notes de publication de Debian (lien sur la page d’accueil du site) ?

Le noyau 2.6.24-etchnhalf.1-686 est celui d’etch (et demi, disponible à partir de la révision 4.0r4).

Le noyau n’est pas forcément mis à jour automatiquement lors d’une migration, selon qu’il a été installé directement ou par dépendance d’un paquet factice linux-image-2.6-686 ou linux-image-686. Il n’y aura pas de mise à jour automatique dans le premier cas.

Il ne peut y avoir de mise à jour automatique d’un noyau 2.6.24-etchnhalf vers un noyau 2.6.26 car ils n’ont pas de paquet factice commun. En revanche si tu avais installé un noyau 2.6.18 (le noyau originel d’etch) par dépendance du paquet factice linux-image-2.6-686 ou linux-image-686, le noyau 2.6.26 aurait été installé automatiquement.

Et ne pas oublier qu’il faut redémarrer la machine pour charger un nouveau noyau.

total 13124 -rw-r--r-- 1 root root 86418 déc 26 2008 config-2.6.24-etchnhalf.1-686 drwxr-xr-x 2 root root 4096 avr 24 11:13 grub -rw-r--r-- 1 root root 6024276 aoû 17 17:09 initrd.img-2.6.24-etchnhalf.1-686 -rw-r--r-- 1 root root 4938761 aoû 17 16:50 initrd.img-2.6.24-etchnhalf.1-686.bak -rw-r--r-- 1 root root 882741 déc 26 2008 System.map-2.6.24-etchnhalf.1-686 -rw-r--r-- 1 root root 1456344 déc 26 2008 vmlinuz-2.6.24-etchnhalf.1-686 You have new mail in /var/mail/root

erf… :confused:

Il me semble pas avoir installé la version half…J’ai eut l’impression que c est la mise a jour qui avait installé half!
Au vu de ce que tu dis,je ne pense pas que cela soit possible.

Peut-être un petit coup de

Puis un redémarrage.

J’ai effectué ce que tu m’as dis,et lorsque je fais un uname -r:

Je suppose que tout est bon.Une dernière vérification ou je peux cliquer avec joie sur la flèche verte?

Visiblement le noyau 2.6.26 n’était pas installé.

Donc ceci :

[quote=“zeratool”]apt-cache policy linux-image-2.6-686

linux-image-2.6-686: Installé : 2.6.26+17+lenny1 Candidat : 2.6.26+17+lenny1 Table de version : *** 2.6.26+17+lenny1 0 500 http://ftp.fr.debian.org lenny/main Packages 100 /var/lib/dpkg/status[/quote]
reste bien mystérieux à mes yeux.

Mais visiblement tout est bon.

Pareil que P’tit g, d’après apt-cache policy le paquet factice linux-image-2.6-686 était installé, et comme il dépend de la dernière version du noyau 2.6, ce dernier aurait dû être installé aussi.

D’ailleurs le dernier noyau à jour (avec le correctif contre la faille locale root récente) est linux-image-2.6.26-2-686 (2.6.26-17lenny2), pas linux-image-2.6.26-1-686 qui date de mars dernier.

Merci a vous deux,malgré l’etrangeté de la chose,je pense que c’est resolu!
Bonne jounrée :mrgreen: